Español

Error: La herramienta de geoprocesamiento Capa codificada por color no se ejecuta desde un script de Python

Descripción

Se ha presentado un problema con el parche de ArcGIS Pro 2.2.2, que provocaba que la herramienta de geoprocesamiento Capa codificada por color no se ejecutase si se hacía desde el script de Python con un dataset de Business Analyst instalado localmente.

Nota:
El parche 3 de ArcGIS Pro 2.2 (2.2.3) se publicó el 5 de octubre de 2018. Sin embargo, no soluciona este problema. Utilice la alternativa que se describe a continuación. El parche 2 de ArcGIS Pro 2.2 (2.2.2) ya no está disponible para su descarga.

Causa

El problema solo se produce si todavía no se ha accedido al dataset de Business Analyst instalado con la sesión Pro.

El fallo es específico de esta herramienta y escenario, y lo provoca una caché de datos vacía.

Solución

Si se encuentra con el fallo descrito, use esta alternativa:

  1. Vaya a la siguiente ubicación y elimine todas las carpetas que contenga:
C:\Usuarios\\AppData\Local\ESRI\Business Analyst\
De esta manera, se elimina la caché de datos incorrecta.
  1. Cierre y abra de nuevo ArcGIS Pro.
  2. Abra la herramienta de geoprocesamiento Capa codificada por color y seleccione una variable del explorador de datos.
    De esta forma se crea una caché de datos válidos y se elimina el problema. De ahora en adelante, las capas codificadas por color se podrán ejecutar desde la herramienta de geoprocesamiento desde Python sin ningún problema.

Información relacionada